- [HTTP request](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances/addServerCa#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances/addServerCa#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances/addServerCa#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances/addServerCa#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances/addServerCa#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances/addServerCa#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances/addServerCa#try-it)

Add a new trusted Certificate Authority (CA) version for the specified instance. Required to prepare for a certificate rotation. If a CA version was previously added but never used in a certificate rotation, this operation replaces that version. There cannot be more than one CA version waiting to be rotated in. For instances that have enabled Certificate Authority Service (CAS) based server CA, use instances.addServerCertificate to add a new server certificate.

### HTTP request

`POST https://sqladmin.googleapis.com/sql/v1beta4/projects/{project}/instances/{instance}/addServerCa`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID of the project that contains the instance. |
| `instance` | `string` Cloud SQL instance ID. This does not include the project ID. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).